java update e "executer.app"

Mac OS X e le sue Applicazioni

Moderatore: ModiMaccanici

Paolofast
Expert
Expert
Avatar utente
Iscritto il: dom, 07 gen 2018 20:00
Messaggi: 2136
Oggetto del messaggio: Re: java update e "executer.app"

Messaggio Inviato: lun, 18 mar 2019 10:02

faxus ha scritto:
lun, 18 mar 2019 09:09
Cos'è, non ti ricordi cos'è un plugin o di aver consigliato Java 8?
Java 8 non serve a scaricare da Internet, serve a far funzionare i programmi scritti in Java.

Java 8 e una versione di Java aggiornata l'ultima volta il 15 gennaio 2019 che serve, come tu hai detto, per far funzionare programmi vecchi e, aggiungo io, hanno problemi con le novità presenti nella versione 11.
JDownloader è il principe di questi programmi incompatibili con Java 11.
Se uno non ha di questi programmi installi pure Java 11, è la soluzione ottimale.
Se invece ha questi programmi, anzi, come spesso accade, solo questi programmi, allora deve per forza usare Java 8, che viene costantemente aggiornato proprio per quello.
Infatti, se leggi bene, io ho consigliato Java 8 per la presenza di JDownloader, per evitarne i malfunzionamenti

Nel caso di JDownloader, la soluzione ottimale sarebbe disinstallarlo e sostituirlo con uno meno problematico, eliminando così il problema Java, ma purtroppo JDownloader ha alcune funzioni non presenti, che io sappia, in altri concorrenti, ad esempio lo scaricamento di un'intera cartella partendo dalla sua URL.
Se conosci un valido sostituto, indicacelo. Sia io io che spock te ne saremo grati e potremo installare Java 11 senza problemi di incompatibilità.
In caso contrario, saremo costretti a tenerci JDownloader e le sue problematiche.
faxus
Pro-Expert 
Pro-Expert 
Avatar utente
Iscritto il: lun, 02 giu 2014 15:12
Messaggi: 26499
Località: Tra bufale e mare
Contatta:

Top

Oggetto del messaggio: Re: java update e "executer.app"

Messaggio Inviato: lun, 18 mar 2019 10:36

Questa tua maniera di insistere su argomentazione e argomentazioni e argomentazioni è fumosa quanto inutile.

Per cui, come già avvenuto, ti rispondo solo per precisare un'altra volta quello che ho detto io.
E non quello che dici tu che abbia detto io.

Poi non più, come ripetuto ad libitum, non mi appassiona discutere per avere ragione invece che trovare soluzioni..
Se vuoi rifatti, evitando di continuare qui, quello già detto nella discussione sugli aggiornamenti di Java

Paolofast ha scritto:
lun, 18 mar 2019 10:02
... Java 8 non serve a scaricare da Internet, serve a far funzionare i programmi scritti in Java...
Così avevo detto, mi riferivo a JDownloader (Java-Downloader), che scarica dalla rete usando Java
Paolofast ha scritto:
lun, 18 mar 2019 10:02
... JDownloader è il principe di questi programmi incompatibili con Java 11....
... purtroppo JDownloader ha alcune funzioni non presenti, che io sappia, in altri concorrenti, ad esempio lo scaricamento di un'intera cartella partendo dalla sua URL.
Se conosci un valido sostituto, indicacelo...
JDownloader sarà pure il principe, chissenefotte.
Non uso gestori di downloader, lo scrissi più volte sui forum Mac, come consiglio, agli utenti già nel 2006-2007.
Perché sono un'autentica porcata, piace solo agli scaricatori seriali.
(che non significa che scaricano intere serie tv, anche se quello fanno in genere, ma che sono maniaci compulsivi dello scaricamento)
Per fortuna oggi sono al tramonto e tra poco spariranno.

Per scaricare partendo da un indirizzo ci sono strumenti molto meno ingombranti, meno problematici e meno pericolosi.
A parte il semplice browser.
Dai client ftp alle utilità di Terminale curl o la più potente wget con brew.


Spero che basti.
Poi, se vuoi continuare a spaccare capelli (e non solo) in quattro, ecco:

Immagine

Divertiti pure.
Spero tu non ti offenda se ti dico così, te ne dovresti fregare.
Visto che sei abituato a trattare gli altri utenti del Forum come psicopatici, sfigati, imbecilli, masochisti e minus habens
Paolofast
Expert
Expert
Avatar utente
Iscritto il: dom, 07 gen 2018 20:00
Messaggi: 2136
Oggetto del messaggio: Re: java update e "executer.app"

Messaggio Inviato: lun, 18 mar 2019 11:58

faxus ha scritto:
lun, 18 mar 2019 10:36
Non uso gestori di downloader
Il fatto che tu non lo usi non significa che gli altri non debbano usarlo, se a loro serve.
Possono non usarlo, come tu consigli.
In effetti, io lo uso sempre meno e quando, non se, potrò farne a meno, beh, sarò contento.

Ma ci sono persone che o vogliono o devono continuare ad usarlo.
Alcuni, io per primo, controvoglia, ma in alcune situazioni, in calo per fortuna, non ho scelta.

Ecco, queste persone sono obbligate ad usare Java 8, almeno fino a quando avranno bisogno di JDownloader o quando finalmente i suoi autori cambieranno idea e si rimangeranno la dichiarazione di non voler implementare la compatibilità con Java 11 (e seguenti).

Non è che tutte le mattine mi metto a saltare dalla contentezza o accendo un cero alla Madonna per ringraziarla del fatto che uso Java 8.
Semplicemente, per il momento, non ho alternative.

Quando le avrò e potrò finalmente disinstallare JDownloader, allora passerò a Java 11, se ne avrò bisogno, oppure, se non sarà più necessario, semplicemente eliminerò Java dal mio MAc.
faxus
Pro-Expert 
Pro-Expert 
Avatar utente
Iscritto il: lun, 02 giu 2014 15:12
Messaggi: 26499
Località: Tra bufale e mare
Contatta:

Top

Oggetto del messaggio: Re: java update e "executer.app"

Messaggio Inviato: lun, 18 mar 2019 12:15

Nessuno è obbligato ad usare nulla.

I gestori di download sono deprecabili in genere e JDownloader non è il migliore.
Usare software non aggiornato, soprattutto in caso di plugin, non è tecnicamente da consigliare in un Forum che si rispetti.

Tu stai solo argomentando per avere una ragione che non avrai neanche se ti butti dal balcone dopo che ti sei dato fuoco.
Mentre ti strappi i capelli e urli disperato.

Proprio stamattina, qui in questo Forum, sempre con pretestuosi argomenti sostieni il contrario:
viewtopic.php?f=6&t=45076&start=45#p497084
Addirittura insultando ed irridendo, proprio come faccio io con te adesso.

Ti stai rendendo ridicolo.
Fatti tuoi.

Ma non rendere ridicolo questo Forum, cui tanti, me compreso, dedichiamo tempo e passione
fragrua
Admin of my life
Admin of my life
Avatar utente
Iscritto il: sab, 08 ott 2005 07:00
Messaggi: 56426
Località: [k]ragnano
Contatta:

Top

Oggetto del messaggio: Re: java update e "executer.app"

Messaggio Inviato: lun, 18 mar 2019 21:08

Faxus per favore, non infierire, è comunque una sofferenza per tutti. :-)
La prima cosa su cui devi investire è il benessere del tuo corpo, l'unica cosa che ti porterai nella tomba.
Franz Grua (sarebbe fragrua)

In un mondo perfetto io sarei un essere inutile.
©2015 albertocchio

—> Uso corretto del Forum: https://goo.gl/9xOO0a

Immagine
spock
Maccanico assiduo
Maccanico assiduo
Avatar utente
Iscritto il: mar, 15 mar 2011 14:36
Messaggi: 163
Oggetto del messaggio: Re: java update e "executer.app"

Messaggio Inviato: gio, 21 mar 2019 11:24

JDK ha risolto il problema senza appare bisogno di fare l'unistall del precedente (o almeno senza chiedere a me di farlo).

Una domanda generale.
C'è un modo per sapere quali sono le applicazioni (o tipo di applicazioni) che necessitano di java? Avevo tenuto Java all'epoca solo perché jdownloader me lo chiedeva e nel dubbio ho preferito aggiornare piuttosto che trovarmi con programmi che avrebbero smesso di funzionare rimuovendolo in toto.
Pingus
Maccanico attivo
Maccanico attivo
Avatar utente
Iscritto il: sab, 13 ott 2018 16:56
Messaggi: 271
Località: Polo Sud
Contatta:

Top

Oggetto del messaggio: Re: java update e "executer.app"

Messaggio Inviato: gio, 21 mar 2019 12:34

Kernel Panic ha scritto:
dom, 17 mar 2019 21:21
Paolofast ha scritto:
dom, 17 mar 2019 10:25
.... Io ho un paio di programmi, specialistici ed indispensabili per lavoro, che fanno così.
Quali sono, se posso chiederlo?
Vorrei dire anch'io le mie 4 ca$$ate del giorno, che nessuno ha richiesto.
Premesso che ben mi guardo di prendere posizioni a favore di Paolofast altrimenti poi mi squilla il telefono e mi arrivano gli insulti in diretta :D
Visto che qui sul forum in parecchi ci conosciamo più o meno di persona.

Se entri negli uffici di una PA (Pubblica Amministrazione) troverai diversi vecchi applicativi che funzionano con le vecchie installazioni java.
https://www.agenziaentrate.gov.it/wps/c ... ne+jvm+1.6
https://www.oracle.com/technetwork/java ... 32-oth-JPR
Ma tanti eh, non alcuni. Aggiungici poi che spesso lavorano con win xp.
(esistono ancora, pensa un po', le questioni legale al browser ed all'utilizzo di MS Internet Explorer - ve lo assicuro)

A casa è tutto molto più facile e comodo.
Aggiorni tutto all'ultimo update upgrade up up e tutto (quasi) funziona.
In ambiente lavorativo non è così. L'ho sempre scritto (con i miei tanti account) diverse volte.
Perché gli adeguamenti sono molto più lenti, per svariati motivi.
In ambito pubblica amministrazione il processo aggiornamenti è ancora più lento.
Pian piano ci arriviamo tutti.

Sappiamo ad esempio che io lavoro con il 10.10. E con tante altre app non aggiornate. Software a pagamento e costosi. Ci sono archivi di anni e metodi di lavoro che necessitano tempo per adeguarsi ai continui cambiamenti ed aggiornamenti. Questo non significa disprezzare la sicurezza, le nuove tecnologie, oppure fregarsene. Sono necessità. Più una realtà è grande e più i cambiamenti sono lenti, ma avvengono comunque.
Uso la java 1.8 aggiornata. Il mio gestionale richiede dalla 1.6 (per l'utilizzo del programma in generale è richiesto il Java Runtime ver. 1.6 o superiore).
Quindi chi ha sviluppato il gestionale sa bene che gli conviene tenere i requisiti in questo modo.
Anche questo è business.
Considerando ci sono anche tante tante postazioni lavorative che usano software vecchi e che vengono usate solo per produrre.
Non interessa nemmeno il collegamento ad internet e/o le patch e update di sicurezza.

In alcune macchine windows ho visto e vedo usare più macchine java con versioni differenti.
Sono impostazioni ad hoc che soccombono alle richieste di vecchi software che convivono con i nuovi.
Una macchina ad esempio che gestisce un vecchio timbratore di presenze, un nuovo gestionale, poi il sistema di autenticazione agid o la videosorveglianza.
Per fare esempi. Già sto scrivendo troppo. Ma in ambito lavorativo ne ho viste e ne vedo molte (anche per esperienze passate in assistenza software gestionale presso le aziende). In ambito pubblica amministrazione ne vedo "di peggio". Ma tutto si sta evolvendo ed aggiornando. Con i tempi dovuti.

In ambito consumer, lo dico e ripeto sempre, è tutto diverso. Sono punti di vista e bisogni completamente differenti.
Sia come costi, che come gestione, come tempi, adeguamenti, nel modo di porsi, etc etc.
Un altro mondo parallelo. Che è quello che fa guadagnare molto e velocemente.

Comunque per restare in tema java. C'è la possibilità e la necessità di usare più versioni java. Anche vecchie e/o anche non più aggiornate.
I sistemisti sanno anche come metterle in "sicurezza" la macchine indipendentemente dalla versione java installata.
Non vengono usate vecchie java, come plugin per navigare o consultare siti web con app java, ovviamente.
E non vengono di certo usate per fare download più o meno legale.
Vengono usate per lavorare, produrre, interagire con più sistemi, aziendali, pubblici, statali, multi-piattaforma, etc etc etc.

Oracle che lavora soprattutto in ambito business ed enterprise, lo sa e mette a disposizione tutti i download necessari per lavorare, senza nascondere nulla (come fanno altri), perché interagisce con sistemisti sviluppatori hardware software.

Poi visto che devono pensare anche agli utenti casalinghi, mette anche a disposizione l'aggiornamento online che verifica da solo la macchina java ed aggiorna alla più recente.

I'm Pingù


FORUM iMaccanici:
Argomenti senza risposta: search.php?search_id=unanswered
faxus
Pro-Expert 
Pro-Expert 
Avatar utente
Iscritto il: lun, 02 giu 2014 15:12
Messaggi: 26499
Località: Tra bufale e mare
Contatta:

Top

Oggetto del messaggio: Re: java update e "executer.app"

Messaggio Inviato: gio, 21 mar 2019 12:50

spock ha scritto:
gio, 21 mar 2019 11:24
JDK ha risolto il problema senza appare bisogno di fare l'unistall del precedente (o almeno senza chiedere a me di farlo)...
Come era stato detto e come è ovvio
spock ha scritto:
gio, 21 mar 2019 11:24
... C'è un modo per sapere quali sono le applicazioni (o tipo di applicazioni) che necessitano di java?...
Ovviamente no.

Lo sai se prima di installare il software leggi sul sito del produttore le caratteristiche tecniche.
Cosa che dovrebbe essere fatta, insieme alla verifica che ci sia un uninstaller o la descrizione di come si fa nelle FAQ
Pingù ha scritto:
gio, 21 mar 2019 12:34
... Vorrei dire anch'io le mie 4 ca$$ate del giorno...
Infatti.

Sono quasi le 13 e mi stavo appunto chiedendo...
Pingù ha scritto:
gio, 21 mar 2019 12:34
... Se entri negli uffici di una PA (Pubblica Amministrazione) troverai diversi vecchi applicativi che funzionano con le vecchie installazioni java.
https://www.agenziaentrate.gov.it/wps/c ... ne+jvm+1.6
https://www.oracle.com/technetwork/java ... 32-oth-JPR
Ma tanti eh,...
Dovresti rileggerti il topic relativo sul Forum.

Da cui si evince che il pacchetto JDK risolve il problema.
Altrimenti chi legge qui potrebbe pensare che il problema sussista.

Il resto non so, ambito aziendale, amministratori di sistema ecc.
In ogni caso sono ampiamente fuori tema con questo topic.
Non starò certo a chiamarti a casa per capire il senso di questo tuo contributo
Pingus
Maccanico attivo
Maccanico attivo
Avatar utente
Iscritto il: sab, 13 ott 2018 16:56
Messaggi: 271
Località: Polo Sud
Contatta:

Top

Oggetto del messaggio: java

Messaggio Inviato: gio, 21 mar 2019 13:33

faxus ha scritto:
gio, 21 mar 2019 12:50
Pingù ha scritto:
gio, 21 mar 2019 12:34
... Se entri negli uffici di una PA (Pubblica Amministrazione) troverai diversi vecchi applicativi che funzionano con le vecchie installazioni java.
https://www.agenziaentrate.gov.it/wps/c ... ne+jvm+1.6
https://www.oracle.com/technetwork/java ... 32-oth-JPR
Ma tanti eh,...
Dovresti rileggerti il topic relativo sul Forum.
Da cui si evince che il pacchetto JDK risolve il problema.
Altrimenti chi legge qui potrebbe pensare che il problema sussista.
Non ho capito. A quale problema ti riferisci? Non ho parlato di problemi io.
Ho parlato solo di necessità di utilizzare in diversi ambienti, le vecchie versioni java.
E nel caso di usare anche differenti versioni. Si può e non ci sono problemi.
Ed ho parlato in generale e non specificatamente per Mac.
Rispondevo in parte alla domanda di KP che chiedeva quali applicazioni lo richiedono.
Ciauz!

I'm Pingù


FORUM iMaccanici:
Argomenti senza risposta: search.php?search_id=unanswered
faxus
Pro-Expert 
Pro-Expert 
Avatar utente
Iscritto il: lun, 02 giu 2014 15:12
Messaggi: 26499
Località: Tra bufale e mare
Contatta:

Top

Oggetto del messaggio: Re: java

Messaggio Inviato: gio, 21 mar 2019 13:49

Pingù ha scritto:
gio, 21 mar 2019 13:33
... Non ho capito. A quale problema ti riferisci? Non ho parlato di problemi io.
Ho parlato solo di necessità di utilizzare in diversi ambienti, le vecchie versioni java...
Sì, io ho capito.

Però chi legge il link legge il sito Agenzia delle entrate ecc.
E quello è il sito di cui si parla nel topic su questo Forum della versione di Java da usare per la modulistica
Pingù ha scritto:
gio, 21 mar 2019 13:33
... Rispondevo in parte alla domanda di KP che chiedeva quali applicazioni lo richiedono...
Infatti anche tu, come lui, sei offtopic e inzuppi il pane
Rispondi